package hep.wired.corbaheprep;

import java.util.Properties;

import hep.wired.hepeventserver.idl.HepEventServer;
import org.freehep.record.source.RecordSource;

/**
 * Interface to be implemented by classes that create concrete implementations of {@link CORBARecordSource}.
 *
 * @author Dmitry Onoprienko
 * @version $Id: $
 */
public interface CORBASourceFactory {

  /**
   * Creates and returns {@link RecordSource} instance wrapped around the supplied <tt>HepEventServer</tt>.
   *
   * @param server <tt>HepEventServer</tt> object to be wrapped into <tt>CORBAServer</tt>.
   * @return <tt>CORBARecordSource</tt> instance wrapping the supplied <tt>HepEventServer</tt>.
   */
  CORBARecordSource createRecordSource(String name, HepEventServer server, Properties serverInfo);

}
